local_backend: true

backend:
  name: git-gateway
  repo: changingviews/website-2023
  branch: master

site_url: https://changingviews.media

media_folder: "src/assets/content" # Location where files will be stored in the repo
public_folder: "/src/assets/content" # The src attribute for uploaded media

collections:
  - name: "clients"
    label: "Clients"
    folder: "src/content/clients"
    create: true
    identifier_field: name
    fields:
      - label: "Name"
        name: "name"
        widget: "string"
      - label: "Industry"
        name: "industry"
        widget: "string"
      - label: "Summary"
        name: "summary"
        widget: "text"
      - label: "Cover Image"
        name: "coverImage"
        widget: "image"
      - label: "Website Link"
        name: "websiteLink"
        widget: "string"
  - name: "blog"
    label: "Blog"
    folder: "src/content/blog"
    create: true
    fields:
      - label: "Title"
        name: "title"
        widget: "string"
      - label: "Published"
        name: "published"
        widget: "datetime"
      - label: "Draft"
        name: "draft"
        widget: "boolean"
      - label: "Cover Image"
        name: "image"
        widget: "image"
      - label: "Description"
        name: "description"
        widget: "text"
      - label: "Body"
        name: "body"
        widget: "markdown"
